export const treeCommon = {
  data () {
    return {
      ztreeObj: null, // ztree对象
      onRightSelectNode: {},  // 右键选中的节点
      setting: {
        async: {
          enable: true,
          type: 'get',
          autoParam: ['id=entClsID'],
        },
        data: {
          simpleData: {
            enable: true,
            pIdKey: 'pid'
          },
          key: {
            name: 'entClsName'
          }
        },
        edit: {
          enable: true,
          showRemoveBtn: false,
          showRenameBtn: false,
          drag: {
            isCopy: true,
            isMove: true,
            prev: true,
            inner: true,
            next: true
          }
        }
      }
    }
  }
}