const version = 'base' // 版本控制

// import roadComputedPage from '@/views/statistical/roadComputed.vue' // 路径分析
// import entityClassViewPage from '@/views/statistical/entityClassView.vue' // 实体类可视化图谱
// import StatisticalGraphPage from '@/views/statistical/statisticalGraph.vue' // 图谱数据统计
// import entClsStatistical from '@/views/statistical/recordStatistical/entClsStatistical.vue' // 图谱数据统计 -> 实体类统计->左侧->实体类树
// import entClsStatisticalDetail from '@/views/statistical/recordStatistical/entClsStatisticalDetail.vue' // 图谱数据统计 -> 实体类统计->右侧->关系统计（主模块）
// import entClsRelStatistical from '@/views/statistical/recordStatistical/entClsRelStatistical.vue' // 图谱数据统计 -> 实体类统计->右侧->关系统计图表
// import entClsAttrStatistical from '@/views/statistical/recordStatistical/entClsAttrStatistical.vue' // 图谱数据统计 -> 实体类统计->右侧->属性统计图表

// import relationClsStatisticalList from '@/views/statistical/recordStatistical/relationClsStatisticalList.vue' // 图谱数据统计->左侧->关系类统计列表
// import relClsStatisticalDetail from '@/views/statistical/recordStatistical/relClsStatisticalDetail.vue' // 图谱数据统计->右侧->关系类统计详情

// import BlankPage from '@/views/common/blank.vue' // 空白页面
export default [
	/**
	 * statistical
	 */
    //  {
	// 	path: '/sta_v1',
	// 	name: 'analyse.statistical',
	// 	meta: {
	// 		code: 'ent_visual',
	// 	},
	// 	component: () => {
	// 		if (version === 'base') {
	// 			return import('@/views/statistical/statisticalMap_base.vue')
	// 		} else if (version === 'bf') {
	// 			return import('@/views/statistical/statisticalMap_bf.vue')
	// 		}
	// 	}, //图谱统计
	// },
    {
		path: '/sta',
		name: 'analyse.statistical',
		hidden: true,
		meta: {
			code: 'ent_visual',
		},
		component: () => import('@/views/knowledge/statistical/statisticalMap_v1.vue')//图谱统计
	},
	// {
	// 	path: '/sta/road_computed',
	// 	name: 'analyse.road_computed',
	// 	meta: {
	// 		code: 'path_calculation',
	// 	},
	// 	component: () => import('@/views/statistical/roadComputed.vue'), // 路径分析
	// },
	// {
	// 	path: '/sta/influence',
	// 	name: 'influence',
	// 	meta: {
	// 		code: 'influence',
	// 	},
	// 	component: () => import('@/views/statistical/influence.vue'), // 影响力分析
	// },
	{
		path: '/sta/entity_class_view',
		name: 'analyse.entity_class_view',
		hidden: true,
		meta: {
			code: 'entcls_visual',
		},
		component: () => import('@/views/knowledge/statistical/entityClassView.vue'), // 实体类可视化图谱
	},
    // {
	// 	path: '/sta/contrast',
	// 	name: 'sta/contrast',
	// 	hidden: true,
	// 	meta: {
	// 		code: 'entcls_visual',
	// 	},
	// 	component: () => import('@/views/statistical/contrast.vue'), // 实体类对比
	// },
	/**
	 * 图谱数据统计总模块
	 */
	// {
	// 	path: '/sta/data',
	// 	name: 'statistic.data',
	// 	meta: {
	// 		code: 'analyse',
	// 	},
	// 	component: StatisticalGraphPage,
	// 	children: [
	// 		/**
	// 		 * 图谱数据统计 -> 空白页
	// 		 */
	// 		{
	// 			path: 'entcls',
	// 			name: 'statistic.data.entcls',
	// 			meta: {
	// 				msg: '请选中' + TEXT.ENT_CLS,
	// 				active: 'entcls',
	// 				code: 'graph_sta_cal',
	// 			},
	// 			components: {
	// 				sidebar: entClsStatistical,
	// 				main: BlankPage,
	// 			},
	// 		},
	// 		/**
	// 		 * 图谱数据统计 -> 实体类统计
	// 		 */
	// 		{
	// 			path: 'entcls/:entClsID',
	// 			meta: {
	// 				active: 'entcls',
	// 				code: 'graph_sta_cal',
	// 			},
	// 			components: {
	// 				sidebar: entClsStatistical,
	// 				main: entClsStatisticalDetail,
	// 			},
	// 			children: [
	// 				/**
	// 				 * 图谱数据统计 -> 实体类统计 -> 关系统计
	// 				 */
	// 				{
	// 					path: '',
	// 					name: 'statistic.data.entcls.relSta',
	// 					meta: {
	// 						active: 'entcls',
	// 						isLink: 'relSta',
	// 						code: 'graph_sta_cal',
	// 					},
	// 					component: entClsRelStatistical,
	// 				},
	// 				/**
	// 				 * 图谱数据统计 -> 实体类统计 -> 属性统计
	// 				 */
	// 				{
	// 					path: 'attrSta',
	// 					name: 'statistic.data.entcls.attrSta',
	// 					meta: {
	// 						active: 'entcls',
	// 						isLink: 'attrSta',
	// 						code: 'graph_sta_cal',
	// 					},
	// 					component: entClsAttrStatistical,
	// 				},
	// 			],
	// 		},
	// 		/**
	// 		 * 图谱数据统计 -> 关系类统计
	// 		 */
	// 		// {
	// 		//   path: 'relcls',
	// 		//   name: 'statistic.data.relcls',
	// 		//   meta: {
	// 		//     msg: '请选中关系类',
	// 		//     active: 'relcls'
	// 		//   },
	// 		//   components: {
	// 		//     sidebar: relationClsStatisticalList,
	// 		//     main: BlankPage
	// 		//   }
	// 		// },
	// 		/**
	// 		 * 图谱数据统计 -> 关系类统计 -> 关系统计类详情
	// 		 */
	// 		// {
	// 		//   path: 'relcls/:relClsId',
	// 		//   name: 'statistic.data.relcls.detail',
	// 		//   meta: {
	// 		//     active: 'relcls'
	// 		//   },
	// 		//   components: {
	// 		//     sidebar: relationClsStatisticalList,
	// 		//     main: relClsStatisticalDetail
	// 		//   }
	// 		// },
	// 		{
	// 			path: 'relcls',
	// 			name: 'statistic.data.relcls.detail',
	// 			meta: {
	// 				active: 'relcls',
	// 				code: 'analyse',
	// 			},
	// 			components: {
	// 				sidebar: relationClsStatisticalList,
	// 				main: relClsStatisticalDetail,
	// 			},
	// 		},
	// 	],
	// },
]
